This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 772432 - Review Request: gnome-applet-sensors - GNOME panel applet for hardware sensors
Review Request: gnome-applet-sensors - GNOME panel applet for hardware sensors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 691085 694549 716008
  Show dependency treegraph
 
Reported: 2012-01-07 22:08 EST by Robert Scheck
Modified: 2012-05-20 19:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2012-01-07 22:08:40 EST
Spec URL: http://labs.linuxnetz.de/bugzilla/gnome-applet-sensors.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/gnome-applet-sensors-3.0.0-2.src.rpm
Description:
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU temperature, fan speeds and voltage
readings under Linux. Includes a simple, yet highly customizable display
and intuitive user-interface. Alarms can be set for each sensor to notify
the user once a certain high or low value has been reached, and can be
configured to execute a given command at specific repeated intervals. It
is also GNOME HIG v2.0 compliant.


Please note this is a re-review request as required by Fedora policies at
https://fedorahosted.org/rel-eng/ticket/4999. Oh and I am not the previous
gnome-applet-sensors package maintainer, however I would like to help him.
If he maybe does not want to take care about this package anymore, I'm also
willing to take the package. For the time being, I'll assume he would like
to take care of his package further on.
Comment 1 Jens Petersen 2012-01-31 23:16:38 EST
Awesome thanks - I just discovered Alt+Button3 on the gnome-panel
and switched back from xfce to gnome fallback - I like xfce
but a lot of basic things just work better/cleaner in gnome for me.

Thanks for cleaning up the spec file.

I suggest BuildRoot:, %clean and "rm -rf $RPM_BUILD_ROOT" could all be removed now.

Otherwise it basically looks fine to me.
Comment 2 Jens Petersen 2012-02-01 00:18:16 EST
The defattr's can also be dropped.


Here is the review:

 +:ok, NA: not applicable, !: needs attention

MUST Items:
[!] MUST: rpmlint output [1]

gnome-applet-sensors.src: W: spelling-error %description -l en_US customizable -> customization
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/pmu-sys/pmu-sys-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/eee/eee-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/udisks/udisks-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-gconf.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-gconf.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/about-dialog.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/i8k/i8k-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/about-dialog.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/acpi/acpi-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/ibm-acpi/ibm-acpi-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/smu-sys/smu-sys-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/active-sensor-libnotify.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/active-sensor-libnotify.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/lib/sensors-applet-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-sensor.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/hddtemp/hddtemp-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensor-config-dialog.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensor-config-dialog.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-plugins.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-plugins.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/omnibook/omnibook-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/mbmon/mbmon-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/sensors-applet-plugin.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/libsensors/libsensors-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/active-sensor.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/active-sensor.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/plugins/sonypi/sonypi-plugin.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/main.c
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/prefs-dialog.h
gnome-applet-sensors-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sensors-applet-3.0.0/sensors-applet/prefs-dialog.c
1 packages and 0 specfiles checked; 32 errors, 0 warnings.
gnome-applet-sensors-devel.x86_64: W: no-documentation
gnome-applet-sensors-devel.x86_64: E: incorrect-fsf-address /usr/include/sensors-applet/sensors-applet-plugin.h
gnome-applet-sensors-devel.x86_64: E: incorrect-fsf-address /usr/include/sensors-applet/sensors-applet-sensor.h
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

** Could you please contact upstream and ask them to update the FSF address in their source headers? **

gnome-applet-sensors.x86_64: W: spelling-error %description -l en_US customizable -> customization
gnome-applet-sensors.x86_64: W: undefined-non-weak-symbol /usr/lib64/libsensors-applet-plugin.so.0.0.0 plugin_name
gnome-applet-sensors.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsensors-applet-plugin.so.0.0.0 linux-vdso.so.1
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The unused-direct-shlib-dependency warning seems bogus:
the included plugins link to the library.
I think the weak symbol warning can probably be waived.

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

425078fc1ff5a98af1547e039002a73f  sensors-applet-3.0.0.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

[NA] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires

http://koji.fedoraproject.org/koji/taskinfo?taskID=3750932

[+] MUST: use %find_lang macro for .po translations [9]
[+] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]

[!] MUST: A package must own all directories that it creates. [13]

/usr/share/sensors-applet/ is unowned!

[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Package is APPROVED:

but please fix the missing ownership of /usr/share/sensors-applet
when importing the updated .spec file into git, and please contact
upstream about the old FSF address in the src headers.
Comment 3 Jens Petersen 2012-02-15 04:32:03 EST
ping?
Comment 4 Huzaifa S. Sidhpurwala 2012-02-15 04:36:55 EST
(In reply to comment #3)
> ping?

I am going to take care of this, give me 1 day
Comment 5 Jens Petersen 2012-02-23 21:33:34 EST
Ping? :)
Comment 6 Jens Petersen 2012-03-02 02:45:51 EST
Reminder ping-a-ling?  Could you please make a scm request? :)
Comment 7 Jens Petersen 2012-03-11 20:39:38 EDT
Can someone please file a SCM request soon?
Comment 8 Jens Petersen 2012-03-13 05:30:40 EDT
BTW I would be happy to help comaintain this package if it helps.
Comment 9 Robert Scheck 2012-03-13 05:53:45 EDT
Jens, I would say: Go for it. I only tried to be helpful by starting re-review
request for gnome-applet-sensors, but I'm lacking time to continue that.
Comment 10 Huzaifa S. Sidhpurwala 2012-03-14 00:51:33 EDT
Package Change Request
======================
Package Name: gnome-applet-sensors
New Branches: f17
Comment 11 Jon Ciesla 2012-03-14 08:25:20 EDT
Must specify owners.
Comment 12 Huzaifa S. Sidhpurwala 2012-03-14 11:52:12 EDT
Package Change Request
======================
Package Name: gnome-applet-sensors
New Branches: f17
Owners: huzaifas
Comment 13 Jon Ciesla 2012-03-14 12:14:49 EDT
Git done (by process-git-requests).
Comment 14 Jens Petersen 2012-03-21 23:34:59 EDT
Reopened the releng unblock ticket:

https://fedorahosted.org/rel-eng/ticket/4999
Comment 15 Jens Petersen 2012-04-17 04:39:29 EDT
Thanks for pushing the update for f17:

https://admin.fedoraproject.org/updates/FEDORA-2012-5972/gnome-applet-sensors-3.0.0-1.fc17

But could you please import the reviewed srpm and also
fix the issues pointed out in the review in pkg scm.
Comment 17 Fedora Update System 2012-05-10 00:50:06 EDT
gnome-applet-sensors-3.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-applet-sensors-3.0.0-1.fc16
Comment 18 Fedora Update System 2012-05-10 00:50:48 EDT
gnome-applet-sensors-3.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-applet-sensors-3.0.0-1.fc15
Comment 19 Fedora Update System 2012-05-11 06:24:34 EDT
Package gnome-applet-sensors-3.0.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-applet-sensors-3.0.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7667/gnome-applet-sensors-3.0.0-1.fc16
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-05-20 19:54:29 EDT
gnome-applet-sensors-3.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-05-20 19:55:49 EDT
gnome-applet-sensors-3.0.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.